# Configuration file
# key = value
#sqlite3 or postgres or mariadb etc.
dodex.default.db=h2
handicap.enable.handicap=false

#quarkus.shutdown.timeout=1
quarkus.banner.enabled=false

quarkus.application.name=hibernateDb
quarkus.application.version=3.29.0

#%dev.quarkus.vertx.caching=false
#quarkus.package.type=jar
quarkus.package.jar.enabled=true
quarkus.package.jar.type=uber-jar
# quarkus.package.manifest.add-implementation-entries=true
quarkus.package.jar.manifest.add-implementation-entries=true
quarkus.package.main-class=dmo.fs.startup.TableGenerator

quarkus.package.runner-suffix=-runner

quarkus.log.console.format=%d{MM/dd HH:mm} %-5p [%c{4.}-%L] %s%e%n
quarkus.log.console.level=INFO
%dev.quarkus.log.console.darken=1
quarkus.log.console.darken=1
#quarkus.log.file.enable=true
quarkus.log.level=INFO
quarkus.log.file.async.overflow=block
quarkus.log.file.path=logs/quarkus.log
quarkus.log.file.rotation.rotate-on-boot=true
quarkus.log.file.rotation.max-file-size=15M
quarkus.log.file.rotation.max-backup-index=2

%dev.quarkus.datasource.db-kind=h2
%dev.quarkus.datasource.username=sa
%dev.quarkus.datasource.password=sa
%dev.dodex.quarkus.datasource.jdbc.url=jdbc:h2:file:./testh2
%prod.quarkus.datasource.db-kind=h2
%prod.quarkus.datasource.username=sa
%prod.quarkus.datasource.password=sa
%prod.dodex.quarkus.datasource.jdbc.url=jdbc:h2:file:./dodexh2

# db's for reactive hibernate
quarkus.hibernate-orm.sqlserver.active=false
quarkus.hibernate-orm.oracle.active=false

quarkus.hibernate-orm.blocking=true
quarkus.hibernate-orm.request-scoped.enabled=false
quarkus.hibernate-orm.sqlserver.packages=hib.fs.entities
quarkus.hibernate-orm.sqlserver.datasource=sqlserver
quarkus.hibernate-orm.sqlserver.schema-management.strategy=validate

quarkus.datasource.sqlserver.devservices.enabled=false
quarkus.datasource.sqlserver.db-kind=mssql
quarkus.datasource.sqlserver.jdbc=true
#-----------------> Change username/password/url as needed <------------------
quarkus.datasource.sqlserver.username=dodex
quarkus.datasource.sqlserver.password=Sqlserver2
quarkus.datasource.sqlserver.jdbc.url=jdbc:sqlserver://localhost:1433;database=dodex;encrypt=false;trustServerCertificate=false
quarkus.datasource.sqlserver.active=false

quarkus.datasource.sqlserver.jdbc.initial-size=3
quarkus.datasource.sqlserver.jdbc.max-size=10

quarkus.hibernate-orm.oracle.packages=hib.fs.entities
quarkus.hibernate-orm.oracle.datasource=oracle
quarkus.hibernate-orm.oracle.schema-management.strategy=validate

quarkus.datasource.oracle.devservices.enabled=false
quarkus.datasource.oracle.db-kind=oracle
quarkus.datasource.oracle.jdbc=true
#-----------------> Change username/password/url as needed <------------------
quarkus.datasource.oracle.username=dodex
quarkus.datasource.oracle.password=dodex2
quarkus.datasource.oracle.jdbc.url=jdbc:oracle:thin:@localhost:1521/XEPDB1
quarkus.datasource.oracle.active=false

quarkus.datasource.oracle.jdbc.initial-size=3
quarkus.datasource.oracle.jdbc.max-size=10
#----------------------------------------------------------------

%dev.quarkus.datasource.dev-ui.allow-sql=true
